<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:shop="http://typo3.org/ns/CodingMs/Shop/ViewHelpers"
	  data-namespace-typo3-fluid="true">
	<div class="{settings.detail.css.class.variants.wrapperOuter}">
		<div class="{settings.detail.css.class.variants.wrapper}">
			<h3 class="{settings.detail.css.class.variants.title}">
				<f:translate key="tx_shop_label.variants_headline" />
			</h3>
			<div class="{settings.detail.css.class.variants.content}">
				<table class="{settings.detail.css.class.variants.table.wrapper}">
					<f:variable name="matrix">{shop:variantFilter.genericMatrix(product: product.uid, fieldX: 'color', fieldY: 'size')}</f:variable>
					<f:for each="{matrix.itemsFlipped}" as="variantX" iteration="variantIteratorX">
						<f:if condition="{variantIteratorX.isFirst}">
							<tr class="{settings.detail.css.class.variants.table.firstRow}">
								<th class="{settings.detail.css.class.variants.table.firstRowCells}"></th>
								<f:for each="{matrix.items}" as="labelX">
									<th class="{settings.detail.css.class.variants.table.firstRowCells}">
										<f:render partial="Product/ColorSquare"
												  section="Small"
												  arguments="{color: labelX.object}" /> {labelX.object.title}
									</th>
								</f:for>
							</tr>
						</f:if>
						<tr class="{settings.detail.css.class.variants.table.otherRows}">
							<th class="{settings.detail.css.class.variants.table.otherRowsFirst}">{variantX.label}</th>
							<f:for each="{variantX.items}" as="variantY">
								<td class="{settings.detail.css.class.variants.table.otherRowsCells} {f:if(condition: variantY.label, then: 'available', else: 'not-avialable')}">
									<f:if condition="{variantY.product}">
										<f:then>
											<f:if condition="{variantY.active}">
												<f:then>
													<b>{variantY.label}</b>
												</f:then>
												<f:else>
													<f:link.action title="{variantY.product.title}"
																   arguments="{product: variantY.product}"
																   action="show" >{variantY.label}</f:link.action>
												</f:else>
											</f:if>
										</f:then>
										<f:else>
											{variantY.label}
										</f:else>
									</f:if>
								</td>
							</f:for>
						</tr>
					</f:for>
				</table>
			</div>
		</div>
	</div>
</html>
